http {
    upstream allbackend {
        server flask_app_1:5000;
        server flask_app_2:3000;
    }

    server {
        listen 8080;
        location / {
            proxy_pass http://allbackend/;
        }
    }
}

events { }